# any parameter to be entered by hand
namespace eval parameter {} {
}

proc stdConfig::parameter {arglist} {
  variable hostport none
  variable name
  controller syncedprot

  set kids "\n"
  set first 1
  foreach line [split $arglist "\n"] {
    set line [string trim $line]
    if {$line ne ""} {
      if {$first} {
        eval [linsert $line 0 obj parameter par]
        set first 0
      } else {
        set cmd [linsert $line 1 par]
        set cmd [linsert $cmd 0 node]
        append kids "$cmd\n"
      }
    }
  }
  if {$kids ne "\n"} {
    kids $name $kids
  } else {
    kids $name {
      node dummy -none
      prop visible false
    }
  }
}
